# Generated by go2rpm 1
%bcond_without check

# https://github.com/zmap/zlint
%global goipath         github.com/zmap/zlint
%global commit          9971d62266e74547157ff95b5413227e21d8fe23

%gometa

%global common_description %{expand:
ZLint is a X.509 certificate linter written in Go that checks for consistency
with RFC 5280 and the CA/Browser Forum Baseline Requirements (v.1.4.8).}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.2%{?dist}
Summary:        X.509 Certificate Linter based on CA/B Forum Baseline Requirements and RFC 5280

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/weppos/publicsuffix-go/publicsuffix)
BuildRequires:  golang(github.com/zmap/zcrypto/util)
BuildRequires:  golang(github.com/zmap/zcrypto/x509)
BuildRequires:  golang(github.com/zmap/zcrypto/x509/ct)
BuildRequires:  golang(github.com/zmap/zcrypto/x509/pkix)
BuildRequires:  golang(golang.org/x/crypto/cryptobyte)
BuildRequires:  golang(golang.org/x/crypto/cryptobyte/asn1)
BuildRequires:  golang(golang.org/x/net/idna)
BuildRequires:  golang(golang.org/x/text/unicode/norm)
BuildRequires:  help2man

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd                     %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr --no-info --version-string=%{version} %{buildroot}%{_bindir}/zlint > %{buildroot}%{_mandir}/man1/zlint.1
help2man --no-discard-stderr --no-info --version-string=%{version} %{buildroot}%{_bindir}/zlint-gtld-update > %{buildroot}%{_mandir}/man1/zlint-gtld-update.1

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1/zlint.1*
%{_mandir}/man1/zlint-gtld-update.1*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 15:44:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190815git9971d62
- Initial package
